Subject: Re: Font pixel size selection

From: "İsmail Dönmez" <[email-masked]>
Date: Mon, 16 Jun 2008 08:18:44 +0300

Hi,

On Mon, Jun 16, 2008 at 5:01 AM, Chong Yidong <[email-masked]> wrote:
> James Cloos <[email-masked]> writes:
>
>> Yuan> I think the only problem here is :pixelsize=14
>> Yuan> Fontconfig has the format:
>>
>> Yuan> <families>-<point sizes>:<name1>=<values1>:<name2>=<values2>
>>
>> The -<pointsize> part is optional; the comment and the code in font.c
>> acknowledge that fact.  But it clearly doesn't work.
>
> I've checked in a fix.  I believe this should work correctly now.

Trunk build is broken now:

font.c: In function 'Ffont_face_attributes':
font.c:3788: error: argument 'frame' doesn't match prototype
font.c:3773: error: prototype declaration

This is with GTK+ frontend on GNU/Linux.

Regards,
ismail

-- 
Never learn by your mistakes, if you do you may never dare to try again.